Cancel a subscription

View as Markdown

Cancels a subscription. By default, the subscription continues until the end of the current billing period. Set cancel_at to "immediately" for immediate cancellation.

Authentication

AuthorizationBearer

Use a secret key (sk_test_* or sk_live_*) for full read/write access, or a public key (pk_test_* or pk_live_*) for read-only access.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the subscription.

Request

This endpoint expects an object.
cancel_atenumOptionalDefaults to end_of_period
When the cancellation takes effect.
reasonstring or nullOptional

Cancellation reason (for records and analytics).

Response

Subscription cancelled successfully
dataobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error